"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.userUrlFromUsername = exports.apiClient = void 0;
const api_client_1 = require("@cross-lab-project/api-client");
const config_1 = require("./config");
exports.apiClient = new api_client_1.APIClient(config_1.config.BASE_URL);
/**
 * This function builds the url of an user using its username.
 * @param username The username of the user.
 * @returns The url of the user.
 */
function userUrlFromUsername(username) {
    return (config_1.config.BASE_URL +
        (config_1.config.BASE_URL.endsWith('/') ? '' : '/') +
        'users/' +
        username);
}
exports.userUrlFromUsername = userUrlFromUsername;
//# sourceMappingURL=globals.js.map